%define generic_name	sylpheed
%define name		%{generic_name}-claws
%define sylver		0.7.2
#%define clawsver	8
#%define	version		%{sylver}claws%{clawsver}
%define version		%{sylver}claws
%define release		1mdk
%define prefix		%{_prefix}
%define iconname	%{name}.png
%define	group		Networking/Mail
%define summary		Enhanced version of the Sylpheed e-mail client

Summary:		%{summary}
Name:			%{name}
Version:		%{version}
Release:		%{release}
Source:			http://prdownloads.sf.net/%{name}/%{generic_name}-%{version}.tar.bz2
Patch:			%{name}-0.6.5claws8.Makefile.in.diff.bz2
License:		GPL
URL:			http://sylpheed-claws.sf.net/
Requires:		gtk+ >= 1.2.10
Group:			%{group}
Buildroot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:		gpgme0-devel >= 0.2.3, faces-devel, libldap2-devel, libopenssl0-devel
BuildRequires:		libpspell4-devel >= 0.12.2, libgdk-pixbuf2-devel, pilot-link-devel
BuildRequires:		libsasl-devel
BuildRequires:		ImageMagick
Requires:		gpgme0 >= 0.2.3, common-licenses, libopenssl0, libldap2, libltdl3
Requires:		libpilot-link4, libpspell4, libsasl7
Requires:		libdb3.3, libgtk+1.2, libgdk-pixbuf2, libglib1.2
#Requires:		aspell or ispell -> spell-checker?
Conflicts:		sylpheed-main
Provides:		%{generic_name}, %{name}

%description
Sylpheed is an e-mail client (and news reader) based on GTK+, running on
X Window System, and aiming for
 * Quick response
 * Graceful, and sophisticated interface
 * Easy configuration, intuitive operation
 * Abundant features
The appearance and interface are similar to some popular e-mail clients for
Windows, such as Outlook Express, Becky!, and Datula. The interface is also
designed to emulate the mailers on Emacsen, and almost all commands are
accessible with the keyboard.

The messages are managed by MH format, and you'll be able to use it together
with another mailer based on MH format (like Mew). You can also utilize
fetchmail or/and procmail, and external programs on receiving (like inc or
imget).

This is an improved version over the "bare" sylpheed package.  It has
some additional features, and also extends exisiting features.

Addtitional features include:
	o Scoring
	o Spell checking
	o Return receipts

Improved features include:
	o SMTP Auth
	o Filtering
	o MIME attachments
	o Integrated News reader
	o Automatic mail checking
	o Line-wrapping
	o XML-based addressbook
	o Newly arrived and unread message management
	o Printing
	o GnuPG support
	o address book supports JPilot, LDAP, LDIF, and vCard data files


%prep
rm -rf %{buildroot}
%setup -q -n %{generic_name}-%{version}
%patch -p0 -b .gnome-files

%build
%configure --enable-pspell --enable-ldap --enable-jpilot --enable-ssl --enable-gpgme
%make

%install
%makeinstall

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert sylpheed.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert sylpheed.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert sylpheed.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{generic_name}" \
	icon="%{iconname}" \
	title="Sylpheed Claws" \
	longtitle="%{summary}" \
	needs="x11" \
	section="%{group}"
EOF

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog* README* TODO* ReleaseNotes*
%doc %dir %{_datadir}/%{generic_name}
%doc %dir %{_datadir}/%{generic_name}/manual
%doc %{_datadir}/%{generic_name}/manual/*/*
%{_bindir}/%{generic_name}
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}

%changelog
* Tue Feb 19 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.7.2claws-1mdk
- 0.7.2claws

* Thu Feb 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1claws-1mdk
- 0.7.1claws

* Wed Jan 23 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.7.0claws-1mdk
- 0.7.0claws

* Mon Dec 17 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.6.6claws-1mdk
- 0.6.6claws

* Thu Dec 13 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.6.5claws8-1mdk
- First claws version for Mandrake contribs
- Patch away the installation of the GNOME desktop file -> Mandrake doesn't use it

